/* Lists all Parallel ports */
strComputer = "."
objWMIService = GetObject("winmgmts:{impersonationLevel=impersonate}!\\" || strComputer || "\root\cimv2")
colItems = objWMIService~ExecQuery("Select * from Win32_ParallelPort")
DO objItem OVER colItems
	SAY "Availability:" objItem~Availability
	caps. = objItem~Capabilities
	DO i OVER caps.
		SAY "Capability:" VALUE("CAPS."||i)
	END
	SAY "Description:" objItem~Description
	SAY "Device ID:" objItem~DeviceID
	SAY "Name:" objItem~Name
	SAY "OS Auto Discovered:" objItem~OSAutoDiscovered
	SAY "PNP Device ID:" objItem~PNPDeviceID
	SAY "Protocol Supported:" objItem~ProtocolSupported
END